<app-layout>
  <div class="p-4" style="padding-bottom: 0px;">
    <div align="end" >
      <button mat-raised-button color="primary" (click)="openDialog()"><mat-icon>add</mat-icon> Add New Brand</button>
    </div>
  </div>
  <div class="p-4">
    <mat-card>
      <div align="center" *ngIf="!brands">
        <mat-spinner [diameter]="60"></mat-spinner>
      </div>
      <mat-list>
        <ng-container *ngFor="let brand of brands; let i=index;">
          <mat-list-item>
            <img matListAvatar src="{{baseUrl + brand.logo}}" width="100%">
            <h3 matLine> {{brand.title}} </h3>
            <p matLine>
              <span> {{brand.category}} </span>
              <span class="demo-2"> -- {{brand.createdDate | date}} </span>
            </p>
          </mat-list-item>
          <mat-divider *ngIf="i != brands.length-1"></mat-divider>
        </ng-container>
      </mat-list>
    </mat-card>
  </div>
</app-layout>
